import { Completion, CompletionSource } from "./completion";
import { Facet, EditorState } from "@codemirror/state";
import { EditorView, Rect } from "@codemirror/view";
export interface CompletionConfig {
    activateOnTyping?: boolean;
    selectOnOpen?: boolean;
    override?: readonly CompletionSource[] | null;
    closeOnBlur?: boolean;
    maxRenderedOptions?: number;
    defaultKeymap?: boolean;
    aboveCursor?: boolean;
    tooltipClass?: (state: EditorState) => string;
    optionClass?: (completion: Completion) => string;
    icons?: boolean;
    addToOptions?: {
        render: (completion: Completion, state: EditorState) => Node | null;
        position: number;
    }[];
    positionInfo?: (view: EditorView, list: Rect, option: Rect, info: Rect, space: Rect) => {
        style?: string;
        class?: string;
    };
    compareCompletions?: (a: Completion, b: Completion) => number;
    interactionDelay?: number;
}
export declare const completionConfig: Facet<CompletionConfig, Required<CompletionConfig>>;
